import { createRouter, createWebHistory } from 'vue-router';
import store from '@/stores/counter';
import axios from 'axios';
// 公共
import common from './module/common';
// 管理员
import admin from './module/admin';
import account from './module/account';
const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    // 公共
    ...common,
    {
      path: '/',
      redirect: '/homeIndex'
    },
    {
      path: '/homeIndex',
      meta: { title: '基础研究动态管理平台', is_filter: true },
      component: () => import('@common/src/components/basic-one-green/home.vue'),
      children: [
        {
          path: '/homeIndex',
          meta: { title: '基础研究动态管理平台', is_filter: true },
          component: () => import('@/views/home/index.vue')
        },
        // 管理员
        ...admin,
        ...account
      ]
    }
  ]
});
router.beforeEach(async (to, from, next) => {
  document.title = `${to.meta.title} `;
  const token = localStorage.getItem('token');
  if (token) {
    const res = await axios.request({
      method: 'get',
      url: '/jcyjdtglpt/v1/api/token/tokenView',
      responseType: 'json',
      headers: {
        token: token
      }
    });
    if (res.data.errcode == '0') {
      store.commit('setUser', res.data.data, { root: true });
    }
    const arr = await axios.request({
      method: 'get',
      url: '/freeLabel/v2/api/activitys/isInAct',
      responseType: 'json',
      headers: {
        token: token
      }
    });
    if (arr.data.errcode == '0') {
      store.commit('setIsInAct', arr.data.data, { root: true });
    }
    next();
  } else {
    window.alert('无登录信息，无法打开');
  }
});
export default router;
