export default [
  // 实验室管理
  {
    path: '/laboratory/info',
    meta: { title: '实验室管理-信息列表' },
    component: () => import('@/views/laboratory/info/index.vue')
  },
  {
    path: '/laboratory/info/detail',
    meta: { title: '实验室管理-详细信息' },
    component: () => import('@/views/laboratory/info/detail.vue')
  },
  {
    path: '/laboratory/info/export',
    meta: { title: '导出' },
    component: () => import('@/views/laboratory/info/export.vue')
  },
  // 参加单位
  {
    path: '/company',
    meta: { title: '参加单位' },
    component: () => import('@/views/company/index.vue')
  },
  {
    path: '/company/detail',
    meta: { title: '信息管理' },
    component: () => import('@/views/company/detail.vue')
  },
  // 人员结构
  {
    path: '/person/fixed',
    meta: { title: '固定人员' },
    component: () => import('@/views/person/fixed/index.vue')
  },
  {
    path: '/person/fixed/detail',
    meta: { title: '信息管理' },
    component: () => import('@/views/person/fixed/detail.vue')
  },
  {
    path: '/person/flow',
    meta: { title: '流动人员' },
    component: () => import('@/views/person/flow/index.vue')
  },
  {
    path: '/person/flow/detail',
    meta: { title: '信息管理' },
    component: () => import('@/views/person/flow/detail.vue')
  },
  {
    path: '/person/committee',
    meta: { title: '学术委员会' },
    component: () => import('@/views/person/committee/index.vue')
  },
  {
    path: '/person/committee/detail',
    meta: { title: '信息管理' },
    component: () => import('@/views/person/committee/detail.vue')
  },
  // 平台建设
  {
    path: '/build',
    meta: { title: '平台建设' },
    component: () => import('@/views/build/index.vue')
  },
  // 平台建设情况及成果
  {
    path: '/platform/project',
    meta: { title: '科研项目' },
    component: () => import('@/views/platform/project/index.vue')
  },
  {
    path: '/platform/project/detail',
    meta: { title: '信息管理' },
    component: () => import('@/views/platform/project/detail.vue')
  },
  {
    path: '/platform/funds',
    meta: { title: '项目经费' },
    component: () => import('@/views/platform/funds/index.vue')
  },
  {
    path: '/platform/funds/detail',
    meta: { title: '信息管理' },
    component: () => import('@/views/platform/funds/detail.vue')
  },
  {
    path: '/platform/paper',
    meta: { title: '代表性论文' },
    component: () => import('@/views/platform/paper/index.vue')
  },
  {
    path: '/platform/paper/detail',
    meta: { title: '信息管理' },
    component: () => import('@/views/platform/paper/detail.vue')
  },
  {
    path: '/platform/other',
    meta: { title: '其他代表性成果' },
    component: () => import('@/views/platform/other/index.vue')
  },
  {
    path: '/platform/other/detail',
    meta: { title: '信息管理' },
    component: () => import('@/views/platform/other/detail.vue')
  },
  {
    path: '/platform/award',
    meta: { title: '获奖情况' },
    component: () => import('@/views/platform/award/index.vue')
  },
  {
    path: '/platform/award/detail',
    meta: { title: '信息管理' },
    component: () => import('@/views/platform/award/detail.vue')
  },
  {
    path: '/platform/achieve',
    meta: { title: '成果转化' },
    component: () => import('@/views/platform/achieve/index.vue')
  },
  {
    path: '/platform/achieve/detail',
    meta: { title: '信息管理' },
    component: () => import('@/views/platform/achieve/detail.vue')
  },
  {
    path: '/platform/tech',
    meta: { title: '开放服务' },
    component: () => import('@/views/platform/tech/index.vue')
  },
  {
    path: '/platform/tech/detail',
    meta: { title: '信息管理' },
    component: () => import('@/views/platform/tech/detail.vue')
  },
  {
    path: '/platform/equipment',
    meta: { title: '设备及场地' },
    component: () => import('@/views/platform/equipment/index.vue')
  },
  {
    path: '/platform/equipment/detail',
    meta: { title: '信息管理' },
    component: () => import('@/views/platform/equipment/detail.vue')
  },

  // 学术交流
  {
    path: '/xueshu/socialservices',
    meta: { title: '参与省部级以上政府组织的社会服务活动' },
    component: () => import('@/views/xueshu/socialservices/index.vue')
  },
  {
    path: '/xueshu/socialservices/detail',
    meta: { title: '信息管理' },
    component: () => import('@/views/xueshu/socialservices/detail.vue')
  },
  {
    path: '/xueshu/scienceactivities',
    meta: { title: '实验室对外开展的科普活动' },
    component: () => import('@/views/xueshu/scienceactivities/index.vue')
  },
  {
    path: '/xueshu/scienceactivities/detail',
    meta: { title: '信息管理' },
    component: () => import('@/views/xueshu/scienceactivities/detail.vue')
  },
  {
    path: '/xueshu/report',
    meta: { title: '发表或向上级相关部门提交各种现状分析、政策建议、决策咨询报告' },
    component: () => import('@/views/xueshu/report/index.vue')
  },
  {
    path: '/xueshu/report/detail',
    meta: { title: '信息管理' },
    component: () => import('@/views/xueshu/report/detail.vue')
  },
  {
    path: '/statistics',
    meta: { title: '成果统计' },
    component: () => import('@/views/statistics/index.vue')
  },

  // 队伍建设与人才培养
  {
    path: '/jianshe/personnelname',
    meta: { title: '省部级及以上人才称号' },
    component: () => import('@/views/jianshe/personnelname/index.vue')
  },
  {
    path: '/jianshe/personnelname/detail',
    meta: { title: '信息管理' },
    component: () => import('@/views/jianshe/personnelname/detail.vue')
  },
  {
    path: '/jianshe/title',
    meta: { title: '职称晋升' },
    component: () => import('@/views/jianshe/title/index.vue')
  },
  {
    path: '/jianshe/title/detail',
    meta: { title: '信息管理' },
    component: () => import('@/views/jianshe/title/detail.vue')
  },
  {
    path: '/jianshe/doctor',
    meta: { title: '博硕培养' },
    component: () => import('@/views/jianshe/doctor/index.vue')
  },
  {
    path: '/jianshe/doctor/detail',
    meta: { title: '信息管理' },
    component: () => import('@/views/jianshe/doctor/detail.vue')
  },
  // 重要成果
  {
    path: '/outcome',
    meta: { title: '重要成果' },
    component: () => import('@/views/outcome/index.vue')
  },
  {
    path: '/outcome/detail',
    meta: { title: '信息管理' },
    component: () => import('@/views/outcome/detail.vue')
  },
  // 政策文件
  {
    path: '/policyfile',
    meta: { title: '政策文件' },
    component: () => import('@/views/policyfile/index.vue')
  },
  {
    path: '/policyfile/detail',
    meta: { title: '信息管理' },
    component: () => import('@/views/policyfile/detail.vue')
  },
  // 活动时间
  {
    path: '/activitys/times',
    meta: { title: '活动时间' },
    component: () => import('@/views/activitys/times/index.vue')
  },
  {
    path: '/activitys/times/detail',
    meta: { title: '信息管理' },
    component: () => import('@/views/activitys/times/detail.vue')
  }
];
